<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="f1d26d11-8f86-4b63-82f0-c56b5590ad60" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/README.md" beforeDir="false" afterPath="$PROJECT_DIR$/README.md" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="-553950316">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="1" />
          <entry key="project.open.time.13" value="1" />
          <entry key="project.open.time.24" value="1" />
          <entry key="project.opened" value="2" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="class" value="9" />
          <entry key="gitignore" value="4" />
          <entry key="java" value="220" />
          <entry key="jpg" value="3" />
          <entry key="md" value="1" />
          <entry key="properties" value="7" />
          <entry key="xml" value="3" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="CLASS" value="9" />
          <entry key="Image" value="3" />
          <entry key="JAVA" value="220" />
          <entry key="PLAIN_TEXT" value="5" />
          <entry key="Properties" value="7" />
          <entry key="XML" value="3" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="dummy" value="11" />
          <entry key="gitignore" value="35" />
          <entry key="java" value="10401" />
          <entry key="md" value="171" />
          <entry key="properties" value="63" />
          <entry key="xml" value="1" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="JAVA" value="10401" />
          <entry key="PLAIN_TEXT" value="217" />
          <entry key="Properties" value="63" />
          <entry key="XML" value="1" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/service/flower/FlowerService.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="105">
              <caret line="16" column="28" selection-start-line="16" selection-start-column="28" selection-end-line="16" selection-end-column="28" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#1444#1445#0" expanded="true" />
                <element signature="e#1504#1505#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/service/sighting/SightingService.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="825">
              <caret line="81" column="102" selection-start-line="81" selection-start-column="102" selection-end-line="81" selection-end-column="102" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/service/user/UserService.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="105">
              <caret line="15" column="24" selection-start-line="15" selection-start-column="24" selection-end-line="15" selection-end-column="24" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#1138#1139#0" expanded="true" />
                <element signature="e#1196#1197#0" expanded="true" />
                <element signature="e#1252#1253#0" expanded="true" />
                <element signature="e#1316#1317#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/service/webservice/WebRestService.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="540">
              <caret line="50" column="8" selection-start-line="50" selection-start-column="8" selection-end-line="50" selection-end-column="8" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/test/java/com/nidal/flowrspot/flowrspot/FlowrspotApplicationTests.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="90">
              <caret line="9" column="13" selection-start-line="9" selection-start-column="13" selection-end-line="9" selection-end-column="13" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/test/java/com/nidal/flowrspot/flowrspot/auth/AuthenticationRestControllerTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="240">
              <caret line="29" column="61" selection-start-line="29" selection-start-column="61" selection-end-line="29" selection-end-column="61" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/test/java/com/nidal/flowrspot/flowrspot/flower/FlowerIntegrationTest.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="315">
              <caret line="21" column="60" selection-start-line="21" selection-start-column="60" selection-end-line="21" selection-end-column="60" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/README.md">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="105">
              <caret line="7" lean-forward="true" selection-start-line="7" selection-end-line="7" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/api/user/UserRepository.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="75">
              <caret line="9" selection-start-line="9" selection-end-line="9" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/controller/security/AuthController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="765">
              <caret line="69" column="47" selection-start-line="69" selection-start-column="47" selection-end-line="69" selection-end-column="47" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>format</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/service/com.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/config/WebMvcConfig.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/service/user/UserServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/service/WebRestService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/flower/dto/FlowerRestResponse.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/common/model/InternalEntity.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/flower/dto/FlowerRest.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/sighting/Sighting.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/flower/dao/Flower.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/like/dao/LikePk.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/user/dao/User.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/like/dao/Like.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/quote/Quote.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/quote/QuoteDto.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/sighting/dto/SightingRowMapper.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/api/sighting/SightingService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/service/sighting/SightingServiceImpl.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/service/webservice/WebRestService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/service/flower/FlowerService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/security/UserPrincipal.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/security/CustomUserDetailsService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/security/JwtAuthenticationFilter.java" />
        <option value="$PROJECT_DIR$/src/main/resources/application.properties" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/security/JwtTokenProvider.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/sighting/dto/SightingResponse.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/sighting/dao/Sighting.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/common/service/UserContextService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/common/controller/ImageController.java" />
        <option value="$PROJECT_DIR$/.gitignore" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/api/sighting/SightingRepository.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/sighting/dto/SightingRequest.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/service/sighting/SightingService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/controller/sighting/SightingController.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/nidal/flowrspot/flowrspot/auth/JwtAuthenticationControllerTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/config/SecurityConfig.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/controller/security/AuthController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/user/dto/LoginRequest.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/FlowrspotApplication.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/user/dto/SignUpRequest.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/common/service/DatabaseSeeder.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/user/dto/UserResponse.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/nidal/flowrspot/flowrspot/IntegrationTestConfig.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/nidal/flowrspot/flowrspot/sighting/SigtingIntegrationTest.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/api/flower/FlowerRepository.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/controller/flower/FlowerController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/flower/dto/FlowerResponse.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/service/user/UserService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/api/user/UserRepository.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/nidal/flowrspot/flowrspot/auth/AuthenticationRestControllerTest.java" />
        <option value="$PROJECT_DIR$/src/test/java/com/nidal/flowrspot/flowrspot/flower/FlowerIntegrationTest.java" />
        <option value="$PROJECT_DIR$/README.md" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" fullScreen="true">
    <option name="width" value="1440" />
    <option name="height" value="900" />
  </component>
  <component name="ProjectInspectionProfilesVisibleTreeState">
    <entry key="Project Default">
      <profile-state>
        <expanded-state>
          <State />
          <State>
            <id>Java</id>
          </State>
          <State>
            <id>Serialization issuesJava</id>
          </State>
        </expanded-state>
        <selected-state>
          <State>
            <id>SerializableHasSerialVersionUIDField</id>
          </State>
        </selected-state>
      </profile-state>
    </entry>
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="flowrspot" type="b2602c69:ProjectViewProjectNode" />
              <item name="flowrspot" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="flowrspot" type="b2602c69:ProjectViewProjectNode" />
              <item name="flowrspot" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1567558858917" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.0" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="run.code.analysis.last.selected.profile" value="pProject Default" />
    <property name="settings.editor.selected.configurable" value="reference.idesettings.emmet" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="JUnit.AuthenticationRestControllerTest">
    <configuration name="AuthenticationRestControllerTest" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="flowrspot" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.nidal.flowrspot.flowrspot.auth.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.nidal.flowrspot.flowrspot.auth" />
      <option name="MAIN_CLASS_NAME" value="com.nidal.flowrspot.flowrspot.auth.AuthenticationRestControllerTest" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="AuthenticationRestControllerTest.testAnonymousLogin" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="flowrspot" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.nidal.flowrspot.flowrspot.auth.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.nidal.flowrspot.flowrspot.auth" />
      <option name="MAIN_CLASS_NAME" value="com.nidal.flowrspot.flowrspot.auth.AuthenticationRestControllerTest" />
      <option name="METHOD_NAME" value="testAnonymousLogin" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="AuthenticationRestControllerTest.testSignUpAndLogin" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="flowrspot" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.nidal.flowrspot.flowrspot.auth.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.nidal.flowrspot.flowrspot.auth" />
      <option name="MAIN_CLASS_NAME" value="com.nidal.flowrspot.flowrspot.auth.AuthenticationRestControllerTest" />
      <option name="METHOD_NAME" value="testSignUpAndLogin" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SigtingIntegrationTest.testDeleteSighting" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="flowrspot" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.nidal.flowrspot.flowrspot.sighting.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.nidal.flowrspot.flowrspot.sighting" />
      <option name="MAIN_CLASS_NAME" value="com.nidal.flowrspot.flowrspot.sighting.SigtingIntegrationTest" />
      <option name="METHOD_NAME" value="testDeleteSighting" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <configuration name="SigtingIntegrationTest.testDisLikeSighting" type="JUnit" factoryName="JUnit" temporary="true" nameIsGenerated="true">
      <module name="flowrspot" />
      <extension name="coverage">
        <pattern>
          <option name="PATTERN" value="com.nidal.flowrspot.flowrspot.sighting.*" />
          <option name="ENABLED" value="true" />
        </pattern>
      </extension>
      <option name="PACKAGE_NAME" value="com.nidal.flowrspot.flowrspot.sighting" />
      <option name="MAIN_CLASS_NAME" value="com.nidal.flowrspot.flowrspot.sighting.SigtingIntegrationTest" />
      <option name="METHOD_NAME" value="testDisLikeSighting" />
      <option name="TEST_OBJECT" value="method" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <list>
      <item itemvalue="JUnit.AuthenticationRestControllerTest.testSignUpAndLogin" />
      <item itemvalue="JUnit.AuthenticationRestControllerTest.testAnonymousLogin" />
      <item itemvalue="JUnit.AuthenticationRestControllerTest" />
      <item itemvalue="JUnit.SigtingIntegrationTest.testDisLikeSighting" />
      <item itemvalue="JUnit.SigtingIntegrationTest.testDeleteSighting" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="JUnit.AuthenticationRestControllerTest" />
        <item itemvalue="JUnit.SigtingIntegrationTest.testDeleteSighting" />
        <item itemvalue="JUnit.SigtingIntegrationTest.testDisLikeSighting" />
        <item itemvalue="JUnit.AuthenticationRestControllerTest.testAnonymousLogin" />
        <item itemvalue="JUnit.AuthenticationRestControllerTest.testSignUpAndLogin" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="f1d26d11-8f86-4b63-82f0-c56b5590ad60" name="Default Changelist" comment="" />
      <created>1567259525113</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1567259525113</updated>
    </task>
    <servers />
  </component>
  <component name="TestHistory">
    <history-entry file="AuthenticationRestControllerTest_testAnonymousLogin - 2019.09.04 at 02h 32m 34s.xml">
      <configuration name="AuthenticationRestControllerTest.testAnonymousLogin" configurationId="JUnit" />
    </history-entry>
    <history-entry file="AuthenticationRestControllerTest_testAnonymousLogin - 2019.09.04 at 02h 33m 51s.xml">
      <configuration name="AuthenticationRestControllerTest.testAnonymousLogin" configurationId="JUnit" />
    </history-entry>
    <history-entry file="AuthenticationRestControllerTest_testAnonymousLogin - 2019.09.04 at 02h 35m 41s.xml">
      <configuration name="AuthenticationRestControllerTest.testAnonymousLogin" configurationId="JUnit" />
    </history-entry>
    <history-entry file="AuthenticationRestControllerTest_testAnonymousLogin - 2019.09.04 at 02h 37m 56s.xml">
      <configuration name="AuthenticationRestControllerTest.testAnonymousLogin" configurationId="JUnit" />
    </history-entry>
    <history-entry file="AuthenticationRestControllerTest - 2019.09.04 at 02h 38m 26s.xml">
      <configuration name="AuthenticationRestControllerTest" configurationId="JUnit" />
    </history-entry>
    <history-entry file="SigtingIntegrationTest_testDisLikeSighting - 2019.09.04 at 02h 42m 28s.xml">
      <configuration name="SigtingIntegrationTest.testDisLikeSighting" configurationId="JUnit" />
    </history-entry>
    <history-entry file="SigtingIntegrationTest_testDisLikeSighting - 2019.09.04 at 02h 45m 07s.xml">
      <configuration name="SigtingIntegrationTest.testDisLikeSighting" configurationId="JUnit" />
    </history-entry>
    <history-entry file="SigtingIntegrationTest_testDeleteSighting - 2019.09.04 at 02h 46m 51s.xml">
      <configuration name="SigtingIntegrationTest.testDeleteSighting" configurationId="JUnit" />
    </history-entry>
    <history-entry file="SigtingIntegrationTest_testDeleteSighting - 2019.09.04 at 02h 49m 07s.xml">
      <configuration name="SigtingIntegrationTest.testDeleteSighting" configurationId="JUnit" />
    </history-entry>
    <history-entry file="AuthenticationRestControllerTest - 2019.09.04 at 02h 58m 12s.xml">
      <configuration name="AuthenticationRestControllerTest" configurationId="JUnit" />
    </history-entry>
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="0" width="1440" height="900" extended-state="0" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.2532189" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="DB Browser" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Project Explorer" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info id="Capture Tool" order="7" />
      <window_info id="Job Explorer" order="8" />
      <window_info id="Image Layers" order="9" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" weight="0.35503685" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Console" order="7" />
      <window_info anchor="bottom" id="DB Execution Console" order="8" />
      <window_info anchor="bottom" id="Terminal" order="9" weight="0.32899868" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.32923833" />
      <window_info anchor="bottom" id="Version Control" order="12" show_stripe_button="false" />
      <window_info anchor="right" id="Commander" order="0" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Maven Projects" order="5" />
      <window_info anchor="right" id="Palette&#9;" order="6" />
      <window_info anchor="right" id="Theme Preview" order="7" />
      <window_info anchor="right" id="Codota" order="8" />
    </layout>
    <layout-to-restore>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.24964234" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="DB Browser" order="3" />
      <window_info id="UI Designer" order="4" />
      <window_info id="Project Explorer" order="5" />
      <window_info id="Favorites" order="6" side_tool="true" />
      <window_info id="Capture Tool" order="7" />
      <window_info id="Job Explorer" order="8" />
      <window_info id="Image Layers" order="9" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" visible="true" weight="0.35503685" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Console" order="7" />
      <window_info anchor="bottom" id="DB Execution Console" order="8" />
      <window_info anchor="bottom" id="Terminal" order="9" weight="0.32899868" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Messages" order="11" weight="0.32923833" />
      <window_info anchor="bottom" id="Version Control" order="12" show_stripe_button="false" />
      <window_info anchor="right" id="Commander" order="0" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Palette" order="3" />
      <window_info anchor="right" id="Capture Analysis" order="4" />
      <window_info anchor="right" id="Maven Projects" order="5" />
      <window_info anchor="right" id="Palette&#9;" order="6" />
      <window_info anchor="right" id="Theme Preview" order="7" />
      <window_info anchor="right" id="Codota" order="8" />
    </layout-to-restore>
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/common/controller/ImageController.java" />
    <entry file="file://$PROJECT_DIR$/src/main/resources/static/images/wild flowers94b2f6e1-c815-47c3-8bfb-6314b78f54bb.jpg">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/.gitignore">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="45">
          <caret line="3" column="25" lean-forward="true" selection-start-line="3" selection-start-column="25" selection-end-line="3" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/like/dao/LikePk.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="295">
          <caret line="32" column="4" selection-start-line="32" selection-start-column="4" selection-end-line="32" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/nidal/flowrspot/flowrspot/auth/JwtAuthenticationControllerTest.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/quote/QuoteDto.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/config/WebMvcConfig.java" />
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/security/spring-security-core/5.1.6.RELEASE/spring-security-core-5.1.6.RELEASE.jar!/org/springframework/security/authentication/UsernamePasswordAuthenticationToken.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="160">
          <caret line="15" column="11" selection-start-line="15" selection-start-column="11" selection-end-line="15" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/resources/application.properties">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-828" />
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/FlowrspotApplication.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="8" column="33" selection-start-line="8" selection-start-column="13" selection-end-line="8" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/user/dto/LoginRequest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="270">
          <caret line="18" column="11" selection-start-line="18" selection-start-column="11" selection-end-line="18" selection-end-column="11" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/user/dto/SignUpRequest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="360">
          <caret line="24" column="5" lean-forward="true" selection-start-line="24" selection-start-column="5" selection-end-line="24" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/sighting/dto/SightingRequest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="7" column="13" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/user/dto/UserResponse.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="9" column="28" selection-start-line="9" selection-start-column="28" selection-end-line="9" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/sighting/dto/SightingResponse.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="7" column="13" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/nidal/flowrspot/flowrspot/IntegrationTestConfig.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="362">
          <caret line="61" column="62" lean-forward="true" selection-start-line="55" selection-start-column="8" selection-end-line="61" selection-end-column="62" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#1345#1346#0" expanded="true" />
            <element signature="e#1435#1436#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/spring-test/5.1.9.RELEASE/spring-test-5.1.9.RELEASE.jar!/org/springframework/test/web/servlet/result/StatusResultMatchers.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="159">
          <caret line="180" column="45" selection-start-line="180" selection-start-column="45" selection-end-line="180" selection-end-column="45" />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/spring-web/5.1.9.RELEASE/spring-web-5.1.9.RELEASE.jar!/org/springframework/http/HttpStatus.class">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="144">
          <caret line="38" column="4" selection-start-line="38" selection-start-column="4" selection-end-line="38" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/nidal/flowrspot/flowrspot/sighting/SigtingIntegrationTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="340">
          <caret line="162" column="4" selection-start-line="162" selection-start-column="4" selection-end-line="162" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/api/sighting/SightingRepository.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="135">
          <caret line="9" column="17" selection-start-line="9" selection-start-column="17" selection-end-line="9" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/api/flower/FlowerRepository.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="150">
          <caret line="10" column="4" selection-start-line="10" selection-start-column="4" selection-end-line="10" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/common/model/Audit.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-169">
          <caret line="24" column="22" selection-start-line="24" selection-start-column="22" selection-end-line="24" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/common/model/InternalEntity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="125">
          <caret line="16" column="22" selection-start-line="16" selection-start-column="22" selection-end-line="16" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/common/service/DatabaseSeeder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="445">
          <caret line="49" column="15" selection-start-line="49" selection-start-column="15" selection-end-line="49" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/common/service/UserContextService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="332">
          <caret line="29" column="45" selection-start-line="29" selection-start-column="45" selection-end-line="29" selection-end-column="45" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/config/SecurityConfig.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="535">
          <caret line="36" column="27" selection-start-line="36" selection-start-column="27" selection-end-line="36" selection-end-column="27" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/controller/flower/FlowerController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="355">
          <caret line="26" column="4" selection-start-line="26" selection-start-column="4" selection-end-line="26" selection-end-column="4" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/controller/sighting/SightingController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="142">
          <caret line="39" lean-forward="true" selection-start-line="39" selection-end-line="39" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/flower/dao/Flower.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="347">
          <caret line="33" column="24" selection-start-line="33" selection-start-column="16" selection-end-line="33" selection-end-column="24" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/flower/dto/FlowerResponse.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="240">
          <caret line="16" selection-start-line="16" selection-end-line="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/flower/dto/FlowerRest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="6" column="17" selection-start-line="6" selection-start-column="17" selection-end-line="6" selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/like/dao/Like.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="362">
          <caret line="31" column="25" selection-start-line="31" selection-start-column="25" selection-end-line="31" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/quote/dto/QuoteDto.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="150">
          <caret line="10" lean-forward="true" selection-start-line="10" selection-end-line="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/model/sighting/dao/Sighting.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-35">
          <caret line="21" column="13" selection-start-line="21" selection-start-column="13" selection-end-line="21" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/security/CustomUserDetailsService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="160">
          <caret line="18" column="21" selection-start-line="18" selection-start-column="21" selection-end-line="18" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/security/JwtAuthenticationEntryPoint.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="14" column="13" selection-start-line="14" selection-start-column="13" selection-end-line="14" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/security/JwtAuthenticationFilter.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="60">
          <caret line="19" column="36" selection-start-line="19" selection-start-column="13" selection-end-line="19" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/security/JwtAuthenticationResponse.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="7" column="13" selection-start-line="7" selection-start-column="13" selection-end-line="7" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/security/JwtTokenProvider.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="216">
          <caret line="36" selection-start-line="36" selection-end-line="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/security/UserPrincipal.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="17" column="13" selection-start-line="17" selection-start-column="13" selection-end-line="17" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/service/flower/FlowerService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="16" column="28" selection-start-line="16" selection-start-column="28" selection-end-line="16" selection-end-column="28" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#1444#1445#0" expanded="true" />
            <element signature="e#1504#1505#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/service/sighting/SightingService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="825">
          <caret line="81" column="102" selection-start-line="81" selection-start-column="102" selection-end-line="81" selection-end-column="102" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/service/user/UserService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="15" column="24" selection-start-line="15" selection-start-column="24" selection-end-line="15" selection-end-column="24" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#1138#1139#0" expanded="true" />
            <element signature="e#1196#1197#0" expanded="true" />
            <element signature="e#1252#1253#0" expanded="true" />
            <element signature="e#1316#1317#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/service/webservice/WebRestService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="540">
          <caret line="50" column="8" selection-start-line="50" selection-start-column="8" selection-end-line="50" selection-end-column="8" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/nidal/flowrspot/flowrspot/FlowrspotApplicationTests.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="90">
          <caret line="9" column="13" selection-start-line="9" selection-start-column="13" selection-end-line="9" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/nidal/flowrspot/flowrspot/auth/AuthenticationRestControllerTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="240">
          <caret line="29" column="61" selection-start-line="29" selection-start-column="61" selection-end-line="29" selection-end-column="61" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/api/user/UserRepository.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="9" selection-start-line="9" selection-end-line="9" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/nidal/flowrspot/flowrspot/controller/security/AuthController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="765">
          <caret line="69" column="47" selection-start-line="69" selection-start-column="47" selection-end-line="69" selection-end-column="47" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/test/java/com/nidal/flowrspot/flowrspot/flower/FlowerIntegrationTest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="315">
          <caret line="21" column="60" selection-start-line="21" selection-start-column="60" selection-end-line="21" selection-end-column="60" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/README.md">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="105">
          <caret line="7" lean-forward="true" selection-start-line="7" selection-end-line="7" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>No facets are configured</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>flowrspot</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>Maven: antlr:antlr:2.7.7</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>